> For the complete documentation index, see [llms.txt](https://docs.wawex.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wawex.ai/api-reference/webhooks/schemas.md).

# Schemas

## The Webhook object

```json
{"openapi":"3.0.1","info":{"title":"Webhooks","version":"1.0"},"components":{"schemas":{"Webhook":{"type":"object","properties":{"createdOn":{"type":"string","format":"date-time","readOnly":true},"modifiedOn":{"type":"string","format":"date-time","readOnly":true},"eventType":{"$ref":"#/components/schemas/EventTypeEnum"},"url":{"type":"string","description":"The URL must be HTTPS."},"headers":{"type":"array","description":"List of headers which should be sent to the webhook.","maxItems":5,"items":{"$ref":"#/components/schemas/Header"}}},"required":["createdOn","eventType","modifiedOn","url"],"title":"Webhook"},"EventTypeEnum":{"title":"EventTypeEnum","type":"string","enum":["CUSTOMER_NOTIFICATION","NATURAL_PERSON_NOTIFICATION","IDENTIFICATION_VERIFICATION_NOTIFICATION","DOCUMENT_NOTIFICATION","PARTNER_DOCUMENT_NOTIFICATION","ONBOARDING_NOTIFICATION","CUSTOMER_PRODUCT_NOTIFICATION","LEGAL_ENTITY_SEARCH_NOTIFICATION","LABELS_UPDATE_NOTIFICATION","TRANSFER_NOTIFICATION","DIGITAL_ASSET_ORDER_NOTIFICATION","PROXY_NOTIFICATION","BENEFICIAL_OWNER_NOTIFICATION","USER_NOTIFICATION","RE_TOKEN_PRICES","STRATEGY_NOTIFICATION","OFFBOARDING_NOTIFICATION","LEGAL_ENTITY_NOTIFICATION","LEGAL_REPRESENTATIVE_NOTIFICATION","TRADITIONAL_ASSET_ORDER_NOTIFICATION","PARTNER_NOTIFICATION","JOINT_PERSON_NOTIFICATION","TAX_EXEMPTION_ORDER_NOTIFICATION","CORPORATE_ACTION_NOTIFICATION","SAVINGS_PLANS_NOTIFICATION","TOKENIZED_ASSET_ORDER_NOTIFICATION"]},"Header":{"title":"Header","type":"object","properties":{"name":{"type":"string","description":"Name of the header which should be sent.","pattern":"^\\S+$"},"value":{"type":"string","description":"Value of the header which should be sent."}},"required":["name","value"]}}}}
```

## The Header object

```json
{"openapi":"3.0.1","info":{"title":"Webhooks","version":"1.0"},"components":{"schemas":{"Header":{"title":"Header","type":"object","properties":{"name":{"type":"string","description":"Name of the header which should be sent.","pattern":"^\\S+$"},"value":{"type":"string","description":"Value of the header which should be sent."}},"required":["name","value"]}}}}
```

## The WebhookData object

```json
{"openapi":"3.0.1","info":{"title":"Webhooks","version":"1.0"},"components":{"schemas":{"WebhookData":{"title":"WebhookData","type":"object","properties":{"eventType":{"$ref":"#/components/schemas/EventTypeEnum"},"url":{"type":"string","description":"The URL must be HTTPS."},"headers":{"type":"array","description":"List of headers which should be sent to the webhook.","maxItems":5,"items":{"$ref":"#/components/schemas/Header"}}},"required":["eventType","url"]},"EventTypeEnum":{"title":"EventTypeEnum","type":"string","enum":["CUSTOMER_NOTIFICATION","NATURAL_PERSON_NOTIFICATION","IDENTIFICATION_VERIFICATION_NOTIFICATION","DOCUMENT_NOTIFICATION","PARTNER_DOCUMENT_NOTIFICATION","ONBOARDING_NOTIFICATION","CUSTOMER_PRODUCT_NOTIFICATION","LEGAL_ENTITY_SEARCH_NOTIFICATION","LABELS_UPDATE_NOTIFICATION","TRANSFER_NOTIFICATION","DIGITAL_ASSET_ORDER_NOTIFICATION","PROXY_NOTIFICATION","BENEFICIAL_OWNER_NOTIFICATION","USER_NOTIFICATION","RE_TOKEN_PRICES","STRATEGY_NOTIFICATION","OFFBOARDING_NOTIFICATION","LEGAL_ENTITY_NOTIFICATION","LEGAL_REPRESENTATIVE_NOTIFICATION","TRADITIONAL_ASSET_ORDER_NOTIFICATION","PARTNER_NOTIFICATION","JOINT_PERSON_NOTIFICATION","TAX_EXEMPTION_ORDER_NOTIFICATION","CORPORATE_ACTION_NOTIFICATION","SAVINGS_PLANS_NOTIFICATION","TOKENIZED_ASSET_ORDER_NOTIFICATION"]},"Header":{"title":"Header","type":"object","properties":{"name":{"type":"string","description":"Name of the header which should be sent.","pattern":"^\\S+$"},"value":{"type":"string","description":"Value of the header which should be sent."}},"required":["name","value"]}}}}
```

## The WebhookMissing object

```json
{"openapi":"3.0.1","info":{"title":"Webhooks","version":"1.0"},"components":{"schemas":{"WebhookMissing":{"title":"WebhookMissing","type":"object","required":["eventType"],"properties":{"eventType":{"$ref":"#/components/schemas/EventTypeEnum"}}},"EventTypeEnum":{"title":"EventTypeEnum","type":"string","enum":["CUSTOMER_NOTIFICATION","NATURAL_PERSON_NOTIFICATION","IDENTIFICATION_VERIFICATION_NOTIFICATION","DOCUMENT_NOTIFICATION","PARTNER_DOCUMENT_NOTIFICATION","ONBOARDING_NOTIFICATION","CUSTOMER_PRODUCT_NOTIFICATION","LEGAL_ENTITY_SEARCH_NOTIFICATION","LABELS_UPDATE_NOTIFICATION","TRANSFER_NOTIFICATION","DIGITAL_ASSET_ORDER_NOTIFICATION","PROXY_NOTIFICATION","BENEFICIAL_OWNER_NOTIFICATION","USER_NOTIFICATION","RE_TOKEN_PRICES","STRATEGY_NOTIFICATION","OFFBOARDING_NOTIFICATION","LEGAL_ENTITY_NOTIFICATION","LEGAL_REPRESENTATIVE_NOTIFICATION","TRADITIONAL_ASSET_ORDER_NOTIFICATION","PARTNER_NOTIFICATION","JOINT_PERSON_NOTIFICATION","TAX_EXEMPTION_ORDER_NOTIFICATION","CORPORATE_ACTION_NOTIFICATION","SAVINGS_PLANS_NOTIFICATION","TOKENIZED_ASSET_ORDER_NOTIFICATION"]}}}}
```

## The UndeliveredWebhook object

```json
{"openapi":"3.0.1","info":{"title":"Webhooks","version":"1.0"},"components":{"schemas":{"UndeliveredWebhook":{"title":"UndeliveredWebhook","type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier of the undelivered webhook."},"webhook":{"$ref":"#/components/schemas/Webhook"},"body":{"type":"string","description":"The body of the webhook request."},"errorMessage":{"type":"string","description":"Error message from the delivery attempt."},"createdOn":{"type":"string","format":"date-time"},"modifiedOn":{"type":"string","format":"date-time"}},"required":["id","webhook","body","errorMessage","createdOn","modifiedOn"]},"Webhook":{"type":"object","properties":{"createdOn":{"type":"string","format":"date-time","readOnly":true},"modifiedOn":{"type":"string","format":"date-time","readOnly":true},"eventType":{"$ref":"#/components/schemas/EventTypeEnum"},"url":{"type":"string","description":"The URL must be HTTPS."},"headers":{"type":"array","description":"List of headers which should be sent to the webhook.","maxItems":5,"items":{"$ref":"#/components/schemas/Header"}}},"required":["createdOn","eventType","modifiedOn","url"],"title":"Webhook"},"EventTypeEnum":{"title":"EventTypeEnum","type":"string","enum":["CUSTOMER_NOTIFICATION","NATURAL_PERSON_NOTIFICATION","IDENTIFICATION_VERIFICATION_NOTIFICATION","DOCUMENT_NOTIFICATION","PARTNER_DOCUMENT_NOTIFICATION","ONBOARDING_NOTIFICATION","CUSTOMER_PRODUCT_NOTIFICATION","LEGAL_ENTITY_SEARCH_NOTIFICATION","LABELS_UPDATE_NOTIFICATION","TRANSFER_NOTIFICATION","DIGITAL_ASSET_ORDER_NOTIFICATION","PROXY_NOTIFICATION","BENEFICIAL_OWNER_NOTIFICATION","USER_NOTIFICATION","RE_TOKEN_PRICES","STRATEGY_NOTIFICATION","OFFBOARDING_NOTIFICATION","LEGAL_ENTITY_NOTIFICATION","LEGAL_REPRESENTATIVE_NOTIFICATION","TRADITIONAL_ASSET_ORDER_NOTIFICATION","PARTNER_NOTIFICATION","JOINT_PERSON_NOTIFICATION","TAX_EXEMPTION_ORDER_NOTIFICATION","CORPORATE_ACTION_NOTIFICATION","SAVINGS_PLANS_NOTIFICATION","TOKENIZED_ASSET_ORDER_NOTIFICATION"]},"Header":{"title":"Header","type":"object","properties":{"name":{"type":"string","description":"Name of the header which should be sent.","pattern":"^\\S+$"},"value":{"type":"string","description":"Value of the header which should be sent."}},"required":["name","value"]}}}}
```

## The UndeliveredWebhooks object

```json
{"openapi":"3.0.1","info":{"title":"Webhooks","version":"1.0"},"components":{"schemas":{"UndeliveredWebhooks":{"title":"UndeliveredWebhooks","type":"object","properties":{"data":{"type":"array","description":"Array of undelivered webhooks.","items":{"$ref":"#/components/schemas/UndeliveredWebhook"}},"pagination":{"$ref":"#/components/schemas/Pagination"}},"required":["data","pagination"]},"UndeliveredWebhook":{"title":"UndeliveredWebhook","type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Unique identifier of the undelivered webhook."},"webhook":{"$ref":"#/components/schemas/Webhook"},"body":{"type":"string","description":"The body of the webhook request."},"errorMessage":{"type":"string","description":"Error message from the delivery attempt."},"createdOn":{"type":"string","format":"date-time"},"modifiedOn":{"type":"string","format":"date-time"}},"required":["id","webhook","body","errorMessage","createdOn","modifiedOn"]},"Webhook":{"type":"object","properties":{"createdOn":{"type":"string","format":"date-time","readOnly":true},"modifiedOn":{"type":"string","format":"date-time","readOnly":true},"eventType":{"$ref":"#/components/schemas/EventTypeEnum"},"url":{"type":"string","description":"The URL must be HTTPS."},"headers":{"type":"array","description":"List of headers which should be sent to the webhook.","maxItems":5,"items":{"$ref":"#/components/schemas/Header"}}},"required":["createdOn","eventType","modifiedOn","url"],"title":"Webhook"},"EventTypeEnum":{"title":"EventTypeEnum","type":"string","enum":["CUSTOMER_NOTIFICATION","NATURAL_PERSON_NOTIFICATION","IDENTIFICATION_VERIFICATION_NOTIFICATION","DOCUMENT_NOTIFICATION","PARTNER_DOCUMENT_NOTIFICATION","ONBOARDING_NOTIFICATION","CUSTOMER_PRODUCT_NOTIFICATION","LEGAL_ENTITY_SEARCH_NOTIFICATION","LABELS_UPDATE_NOTIFICATION","TRANSFER_NOTIFICATION","DIGITAL_ASSET_ORDER_NOTIFICATION","PROXY_NOTIFICATION","BENEFICIAL_OWNER_NOTIFICATION","USER_NOTIFICATION","RE_TOKEN_PRICES","STRATEGY_NOTIFICATION","OFFBOARDING_NOTIFICATION","LEGAL_ENTITY_NOTIFICATION","LEGAL_REPRESENTATIVE_NOTIFICATION","TRADITIONAL_ASSET_ORDER_NOTIFICATION","PARTNER_NOTIFICATION","JOINT_PERSON_NOTIFICATION","TAX_EXEMPTION_ORDER_NOTIFICATION","CORPORATE_ACTION_NOTIFICATION","SAVINGS_PLANS_NOTIFICATION","TOKENIZED_ASSET_ORDER_NOTIFICATION"]},"Header":{"title":"Header","type":"object","properties":{"name":{"type":"string","description":"Name of the header which should be sent.","pattern":"^\\S+$"},"value":{"type":"string","description":"Value of the header which should be sent."}},"required":["name","value"]},"Pagination":{"title":"Pagination","type":"object","properties":{"cursor":{"type":"string","description":"String value used for pagination, which should be set in next page request."},"limit":{"type":"integer","description":"Maximum number of returned items"}},"required":["cursor","limit"]}}}}
```

## The MarkDeliveredWebhooksData object

```json
{"openapi":"3.0.1","info":{"title":"Webhooks","version":"1.0"},"components":{"schemas":{"MarkDeliveredWebhooksData":{"title":"MarkDeliveredWebhooksData","type":"object","properties":{"undeliveredWebhookId":{"description":"Id of the newest undelivered webhook to be marked as delivered. All older webhooks will also be marked.","type":"string","format":"uuid"}},"required":["undeliveredWebhookId"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wawex.ai/api-reference/webhooks/schemas.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
